[23595] in Source-Commits
/svn/athena r23235 - trunk/debathena/debathena/pyhesiodfs/debian
daemon@ATHENA.MIT.EDU (broder@MIT.EDU)
Mon Nov 3 22:27:12 2008
Date: Mon, 3 Nov 2008 22:26:41 -0500 (EST)
From: broder@MIT.EDU
Message-Id: <200811040326.WAA09614@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: broder
Date: 2008-11-03 22:26:39 -0500 (Mon, 03 Nov 2008)
New Revision: 23235
Modified:
trunk/debathena/debathena/pyhesiodfs/debian/changelog
trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.init
Log:
In pyhesiodfs:
[ Anders Kaseorg ]
* Don't require /lib/init/vars.sh in the initscript, so it works on
dapper.
[ Evan Broder ]
* Fixup the permission bits on /dev/fuse if they're wrong
Modified: trunk/debathena/debathena/pyhesiodfs/debian/changelog
===================================================================
--- trunk/debathena/debathena/pyhesiodfs/debian/changelog 2008-11-02 04:22:23 UTC (rev 23234)
+++ trunk/debathena/debathena/pyhesiodfs/debian/changelog 2008-11-04 03:26:39 UTC (rev 23235)
@@ -1,3 +1,14 @@
+debathena-pyhesiodfs (0.0.r150-0debathena2) unstable; urgency=low
+
+ [ Anders Kaseorg ]
+ * Don't require /lib/init/vars.sh in the initscript, so it works on
+ dapper.
+
+ [ Evan Broder ]
+ * Fixup the permission bits on /dev/fuse if they're wrong
+
+ -- Evan Broder <broder@mit.edu> Mon, 03 Nov 2008 22:25:23 -0500
+
debathena-pyhesiodfs (0.0.r150-0debathena1) unstable; urgency=low
* New upstream version
Modified: trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.init
===================================================================
--- trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.init 2008-11-02 04:22:23 UTC (rev 23234)
+++ trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.init 2008-11-04 03:26:39 UTC (rev 23235)
@@ -31,7 +31,12 @@
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
+: ${VERBOSE:=yes}
+if [ -f /lib/lsb/init/vars.sh ]; then
+ . /lib/init/vars.sh
+elif [ -f /etc/default/rcS ]; then
+ . /etc/default/rcS
+fi
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
@@ -49,6 +54,8 @@
# Try to make sure fuse is setup
[ -e /dev/fuse ] || modprobe fuse || return 2
+ chown root:fuse /dev/fuse || return 2
+ chmod g+rw /dev/fuse || return 2
if cat /proc/mounts | grep " $pyhesiodfs_dir " >/dev/null 2>&1; then
return 1